# Simulation Detail

Simulation Detail; Simulation Name, Simulation Agent (with status), Enrichment Status, Last Prevention Result,
Last Detection Result (if Available), Simulation Run List

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Simulation Detail endpoint returns the information about a specific simulation.
As simulations can be played more than once in Picus, you can access the needed run information from this endpoint using the Simulation ID you have got from the Simulation List endpoint.
The endpoint contains simulation run list with simulation run id and start/complete time.
You can get the Simulation Run ID from this endpoint and later request simulation detail results from Simulation Run Results endpoint.

Example

Get simulation details for simulation id is 1. The simulation run two times before.

curl --request GET \
     --url https://api.picussecurity.com/v1/simulations/1 \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "simulation_id": 1,
  "simulation_name": "Simulation 1",
  "created_at": 1654793042229,
  "updated_at": 1654793202460,
  "agent": {
    "name": "My Agent",
    "id": 1556,
    "status": "dead",
    "type": "Windows",
    "version": "4.1.1.0"
  },
  "template_id": 1,
  "template_name": "Template 1",
  "last_prevention_security_score": 13,
  "last_detection_security_score": 66,
  "has_detection_analysis": true,
  "has_last_run_detection_analysis": true,
  "detection_analysis": {
    "integrations": [
      {
        "product_name": "Crowdstrike",
        "id": 1
      },
      {
        "product_name": "Sentinel One",
        "id": 2
      }
    ]
  },
  "status": "NOT STARTED",
  "completion_ratio": 0,
  "status_details": {
    "prevention": {
      "total_threat_count": 2,
      "completed_threat_count": 0
    },
    "detection": {
      "total_threat_count": 2,
      "completed_threat_count": 0
    }
  },
  "simulation_run": [
    {
      "id": "14993",
      "status": "COMPLETED",
      "started_at": 1654793049799,
      "completed_at": 1654793202457
    },
    {
      "id": "14994",
      "status": "NOT STARTED",
      "started_at": 1654793059799,
      "completed_at": 1654795202457
    }
  ]
}

Get simulation details for simulation id is 2. The simulation run two times before and running once again


curl --request GET \
     --url https://api.picussecurity.com/v1/simulations/2 \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "simulation_id": 2,
  "simulation_name": "Simulation 2",
  "created_at": 1654793042229,
  "updated_at": 1654793202460,
  "agent": {
    "name": "My Agent",
    "id": 1556,
    "status": "dead",
    "type": "Windows",
    "version": "4.1.1.0"
  },
  "template_id": 2,
  "template_name": "Template 2",
  "has_detection_analysis": false,
  "has_last_run_detection_analysis": false,
  "status": "RUNNING",
  "completion_ratio": 66,
  "status_details": {
    "prevention": {
      "total_threat_count": 6,
      "completed_threat_count": 4
    },
    "detection": {
      "total_threat_count": 0,
      "completed_threat_count": 0
    }
  },
  "simulation_run": [
        {
      "id": "11905",
      "status": "RUNNING",
      "started_at": 1724242663717
    },
    {
      "id": "14993",
      "status": "COMPLETED",
      "started_at": 1654793049799,
      "completed_at": 1654793202457
    },
    {
      "id": "14994",
      "status": "NOT STARTED",
      "started_at": 1654793059799,
      "completed_at": 1654795202457
    }
  ]
}
Path Params
uint64
required

Simulation ID (URI parameter)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json